﻿## scavenge_forest contains all general events that can be found in forests regions.

label scav_forest:
    label .stick:
        "While rummaging through the forest floor you discover a small knotted stick, it's not much but might be serviceable as a weapon."
        menu:
            "Take the stick":
                $ addToInventory(inventory,item_stick,1)
                $ add_time(0,30)
            "Leave it":
                $ add_time(0,10)
                pass

        jump scene_last

    label .big_stick:
        "The trees in the area appear snapped and mangled as if some great beast tore through the area. In the chaos a large branch was broken free, it would make a very versatile club."
        menu:
            "Take the large stick":
                $ addToInventory(inventory,item_big_stick,1)
                $ add_time(0,30)
            "Leave it":
                $ add_time(0,10)
                pass

        jump scene_last

    label .scuffle:
        "As you search through the forest, you notice a set of trees that part unnaturally, branches broken and twisted at odd angles, there are clear signs of a conflict. Flecks of blood are splattered across the trees and grass confirming a violent encounter. You can make out a set of tracks that leed away from the scene trailing some blood."
        $ add_time(0,10)
        menu:
            "Do you want to follow the tracks?"
            "Follow the tracks":
                jump .follow
            "Go back.":
                jump scene_last

        label .follow:
            if standd6.roll()[0] + 1 > pc.survival:
                "You attempt to follow the tracks but quickly lose sight of them in the dense brush. Perhaps you'll have better luck some other time."
            else:
                $ add_time(0,20)
                "Following the tracks and disturbed plant life you are able to follow whatever beast had left the scene. You're able to follow the trail for quite some time before discovering a small den formed of earth and the roots of a thick tree. You can hear the sounds of growling coming from inside the den and spot a pair of wolves devouring a recently caught meal."
                if standd6.roll()[0] + standd6.roll()[0] < 7:
                    "The wolves stop eating suddenly, looking out of the den, ears perked and fur raised. They sniff for a moment, you back away slowly but they've already gotten your scent. It only takes a few moments before they're upon you."
                    # self, sprite, hp, libido, stamina, survival, combat, acumen, glamour, name, race, gender, hei, wei, base_attack, base_flirt, base_defense, base_resistance,
                    # sk_1,sk_2,sk_3,sk_4,sk_5,sk_6,condition
                    $ _enemy = copy.copy(mob_wolf_pack_01)
                    $ _enemy.add_dmg_immune(dmg_type.lust)
                    $ store.battle_end = "wolves_battle"
                    call scene_battle_setup pass (_en = _enemy) from _call_scene_battle_setup_1
                else:
                    menu:
                        "The wolves don't appear to have noticed you. If you're going to leave, now is your chance."
                        "Back away":
                            jump scene_last
                        "Ambush the wolves":
                            $ _enemy = copy.copy(mob_wolf_pack_01)
                            $ _enemy.add_dmg_immune(dmg_type.lust)
                            $ store.battle_end = "wolves_battle"
                            call scene_battle_setup pass (_en = _enemy,_pc_ambush = True) from _call_scene_battle_setup_2

    label .flowers:
        "While scavenging the area for useful materials you stumble upon a small cluster of flowering plants. You recall they can be used in potions and if not maybe they'll be good for trade"
        menu:
            "Pick the flowers?"
            "Pick flowers":
                $ addToInventory(inventory,item_red_flower,1)
                $ add_time(0,15)
            "Leave them":
                $ add_time(0,5)
                pass

        jump scene_last

    label .berries:
        # $ _i = standd6.roll()[0]
        # if _i > 2:
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "As you search the surrounding area you find a few small bushes poking out of the harsh forest floor. Sharp leaves jut from the bush in clusters, surrounding several bright red berries. The berries look ripe and ready to be picked. You gather a few, wrapping them in one of the large leaves for protection before carrying on your way."
                # Rain
                elif weather == 2:
                    "The pine trees provide a small canopy from the rain as you explore. However, water still drips down periodically and soaks into your skin, leaving you damp and cold. As you search you find a small glistening bush that has grown in spite of inhospitable forest floor. Rainwater drips from the leaves and collects across several brilliant red berries. Picking a few, you wrap them in a large leaf for protection before carrying on your way."
                # Storm
                else:
                    "Rain pours down heavily from the storm above. Water breaks through the canopy of branches above, soaking the forest floor. As you search you find a small glistening bush that has grown in spite of inhospitable forest floor. Rainwater drips from the leaves and collects across several brilliant red berries. Picking a few, you wrap them in a large leaf for protection before carrying on your way."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    "Messis Clear Find Berries. Day"
                # Rain
                elif weather == 2:
                    "Messis Rain Find Berries. Day"
                # Storm
                else:
                    "Messis Storm Find Berries. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    "Levisomnus Clear Find Berries. Day"
                # Rain
                elif weather == 2:
                    "Levisomnus Rain Find Berries. Day"
                # Storm
                else:
                    "Levisomnus Storm Find Berries. Day"
        # Night
        else:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "Moonlight cracks through the branches overhead casting fragments of light across the needle strewn ground. You search through the darkened forest floor for several minutes. Eventually you stumble upon a low cluster of bushes. Sharp jagged leaves form small fans around bright red berries. The berries appear ripe and ready for picking. Taking a large leaf from the bush you wrap it carefully around several berries forming a protective bundle. You carefully pack the berries away before returning the way you came."
                # Rain
                elif weather == 2:
                    "The branches overhead sag under the weight of the rain, which drip through the canopy lightly. The needle covered forest floor glistens and squelches underfoot as you walk. After a few minutes you find several bushes curled together in spite of the inhospitable ground. Sharp leaves group together in small clusters, surrounding several red berries. Plucking a large leaf from the bush you gather a few berries, wrapping them in the damp leaf protectively.  After pocketing the berries you follow your path back through the forest."
                # Storm
                else:
                    "The branches overhead sag under the weight of the rain, which drip through the canopy lightly. The needle covered forest floor glistens and squelches underfoot as you walk. After a few minutes you find several bushes curled together in spite of the inhospitable ground. Sharp leaves group together in small clusters, surrounding several red berries. Plucking a large leaf from the bush you gather a few berries, wrapping them in the damp leaf protectively.  After pocketing the berries you follow your path back through the forest."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    "Messis Clear Find Berries. Night"
                # Rain
                elif weather == 2:
                    "Messis Rain Find Berries. Night"
                # Storm
                else:
                    "Messis Storm Find Berries. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    "Levisomnus Clear Find Berries. Night"
                # Rain
                elif weather == 2:
                    "Levisomnus Rain Find Berries. Night"
                # Storm
                else:
                    "Levisomnus Storm Find Berries. Night"

        $ addToInventory(inventory,item_wildberry,renpy.random.randint(1,3))

        jump scene_last

        # elif _i == 2:
        #     "Digging through the brush and trees of the forest floor, you catch sight of a small cluster of bushes with jagged leaves. Freshly broken branches stick out at odd angles, clear signs that an animal has recently eaten whatever berries may have grown here."
        #     jump scene_last
        # else:
        #     "Digging through the brush and trees of the forest floor, you catch sight of a small cluster of bushes with jagged leaves that hide clusters of dark berries. Looking down at the berries you notice flecks of white mold forming on the now rotten berries. They wouldn't be safe for consumption so you leave them where they are."
        #     jump scene_last

    label .old_camp:
        "Heavy trees break away revealing a small area that has been cleared away. An old tattered cloth is strung up between several branches forming a makeshift tent. Stones have been arranged into a crude fire pit and dark long cooled ashes remain inside."
        "The camp seems old and long since abandoned as bits of moss have begun to crawl up the firepit, while clumps of dried leaves have settled on top of the tattered tent."
        $ add_time(0,30)
        if standd6.roll()[0] > 4:
            if standd6.roll()[0] > 3:
                "Though almost anything of value has already long since been taken or looted you do spot a small cloth wrapped stick leaning agaisnt the trunk of a nearby tree. Picking it up you find it's been fashioned with a stone tip, making a simple but effective spear."
                menu:
                    "Take the spear.":
                        $ addToInventory(inventory,item_basic_spear,1)
                    "Leave it.":
                        pass
            else:
                "Searching through the camp you find that almost everything has been stripped away or looted, but fortunately you do discover a simple knife wedged between the stones of the campfire. Though it's clearly worn and well used it's still somewhat sharp and functional."
                menu:
                    "Take the knife.":
                        $ addToInventory(inventory,item_basic_dagger,1)
                    "Leave it.":
                        pass
        else:
            "You search the camp for several minutes but find it's been entirely looted leaving nothing of value for your own adventure. The tattered cloth of the former tent is far too damaged to be useful and nothing else beyond the ashse of the fire remain. Taking one last glance around the sad state of this place you turn and make your leave."

        jump scene_last

    label .nothing:
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "Moving through the sparse pine trees, you spend thirty minutes exploring the surroundings. The forest is remarkably barren during this time. Only the chirping of a few birds and the scampering of a startled squirrel cut through the silence and emptiness."
                # Rain
                elif weather == 2:
                    "You spend nearly a half hour walking through the pines, exploring your surroundings. The entire time you can hear the rain beating against the canopy of needles overhead. A dusty darkness covers the forest making it difficult to see anything. Eventually you give up, after finding nothing of note and return the way you came."
                # Storm
                else:
                    "Wandering through the pine forest you search for anything of use or note. Your only companion during this time is the biting wind whistling through the trees and the crashes of lightning and rolls of thunder. Rain beats down against the canopy overhead and drips down in long streams soaking the forest floor. Eventually, after a near half hour of searching, you give up and return the way you came."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    "Messis Clear Find Nothing. Day"
                # Rain
                elif weather == 2:
                    "Messis Rain Find Nothing. Day"
                # Storm
                else:
                    "Messis Storm Find Nothing. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    "Levisomnus Clear Find Nothing. Day"
                # Rain
                elif weather == 2:
                    "Levisomnus Rain Find Nothing. Day"
                # Storm
                else:
                    "Levisomnus Storm Find Nothing. Day"
        # Night
        else:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "Exploring the moonlit forest is a largely dull affair. The only thing to break through the silence is the occasional hoot of a nearby owl. Moonlight peaks through the canopy overhead lighting the barren forest floor but it does little to aid your search. You spend a near thirty minutes searching the woods but find nothing of note during this time."
                # Rain
                elif weather == 2:
                    "The dark forest closes around you as you walk. The rain pours heavily overhead, dripping through the canopy. The forest floor squelches as you walk through the encroaching darkness. Wind howls through the trees and cuts into coldly. You spend nearly thirty minutes searching for anything of note but only greeted by the din of the storm. Eventually you turn back the way you came."
                # Storm
                else:
                    "Flashes of lightning illuminate the dark forest as you walk. Cold rain pours down rapidly, soaking through the canopy of branches overhead. The muddy forest floor is soaked and clings to your feet as you explore. You walk through the treacherous environment for nearly thirty minutes, finding nothing of value. Eventually you turn back and return the way you came."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    "Messis Clear Find Nothing. Night"
                # Rain
                elif weather == 2:
                    "Messis Rain Find Nothing. Night"
                # Storm
                else:
                    "Messis Storm Find Nothing. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    "Levisomnus Clear Find Nothing. Night"
                # Rain
                elif weather == 2:
                    "Levisomnus Rain Find Nothing. Night"
                # Storm
                else:
                    "Levisomnus Storm Find Nothing. Night"

        jump scene_last

    label .goblin_chemist:
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                "From between the trees a small figure approaches you. They stand only a few feet tall and have green skin covered in small blemishes. They smile at you with two rows of sharp needle like teeth. They're wearing a simple leather vest and belt which holds a few dozen glass vials. Various chemicals swirl in their containers and coat the goblin in a pungent collection of aromas."
                $ _t = "Well met traveler. Could I interest you in a sampling of my potions?"
            # Messis
            elif calendar[1] == 3:
                # Clear
                "Messis Clear Find Nothing. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                "Levisomnus Clear Find Nothing. Day"
        # Night
        else:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                "From between the trees you spot the wobbling glow of a lantern. It approaches, weaving between trees steadily, eventually revealing a small goblin. They're wearing a simple vest and several belts. Vials filled with multicolored liquids dangle from their clothes. They give you a toothy smiles, revealing two rows of sharp needle like teeth. You get a sharp smell of chemicals wafting off the goblin as they get close. They bow low in greeting."
                $ _t = "Good evening traveler. Could I interest you in a sampling of my potions?"
            # Messis
            elif calendar[1] == 3:
                # Clear
                "Messis Clear Goblin Potion Maker. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                "Levisomnus Clear Goblin Potion Maker. Night"

        menu:
            "Goblin Chemist" "[_t]"
            "Yes please":
                $ _i = renpy.random.randint(1,4)
                if _i == 1:
                    "The goblin hands you a small vial of red liquid. It smells sweet like forest berries and runs thick like sap. You drink it down forcefully. A warm comforting sensation fills your body. Suddenly your wounds and aches heal leaving you feeling refreshed and invigorated."
                    $ pc.addHP(renpy.random.randint(10,20))
                    "Goblin Chemist" "\"That was a rather successful test. Thank you for your assistance my friend. Now I must bid you farewell and safe travels.\" The chemist says give you a small bow of thanks before turning away. They walk away swiftly disappearing between the tall pine trees."
                elif _i == 2:
                    "The goblin hands you a vial of light blue liquid. You pop off the cork and are greeted by a puff of salty air. You drink down the smooth liquid in a single gulp. It's salty and sweet in a way that makes your lips pucker. You feel a sudden wave of heat that flushes your cheeks and makes your loins ache. You begin to pant heavily as a wave of lust fogs your mind. When you look up again the Goblin has already vanished leaving you alone."
                    $ pc.addLibido(renpy.random.randint(10,15))
                elif _i == 3:
                    "The goblin hands you a large vial of yellow and orange liquid. It swirls with a marble like texture. Popping the cork off you find the liquid has very little scent. Placing the vial to your lips you begin to drink, it takes several large gulps to choke the liquid down. It tastes sour and lemony. The liquid makes you shudder as a chills runs down your spine."
                    $ pc.addLibido(-10)
                    "Goblin Chemist" "\"That was a very helpful test. I appreciate your assistance.\" The goblin scrawls a few notes on a piece of parchment before turning away. They walk back the way they came, disappearing behind the large pine trees."
                else:
                    "The goblin hands you a vial of green liquid which bubbles in it's container. The cork comes off with a sickening pop. The liquid smells acrid and you find the taste no better. As you drink down the liquid quickly to avoid tasting the foul substance. The liquid burns down your throat. You feel it sit horribly in your stomach for a moment before pain shoots through your body."
                    $ pc.addHP(renpy.random.randint(-20,-10))
                    if pc.hp == 0:
                        "You feel a terrible sensation and begin to gag horribly on the liquid. You wretch for several moments before collapsing to your knees. Breathing heavily your eyes begin to cross, you vision blurring. Shuttering you collapse, unconsciousness quickly overtakes you."
                        $ _s = str(last_checkpoint)
                        jump expression _s
                    else:
                        "You feel a horrible sensation which causes you to gag and wretch violently. Pain boils in your stomach forcing you to your knees. You feel a small hand rub your back which rubs comfortingly. Several moments pass before the pain begins to subside. Your breathing starts to normalize. The small hand pulls away from your back allowing you to stand. You still feel unsteady and a dull ache remains from the twisted concoction."
                        "Goblin Chemist" "\"That was an unexpected effect. I'll have to refine that formula further. Thank you for your assistance. Take this as compensation.\" They hand you a small bag before scrawling a few notes on a piece of parchment. The goblin then takes their leave, walking casually into the woods eventually vanishing behind the pines."
                        $ addToInventory(inventory,item_gold,renpy.random.randint(2,4))
            "No thank you":
                $ _i == renpy.random.randint(1,4)
                if _i == 1:
                    "You decline the chemist's offer which seems to agitate them severely. Their calm demeanor quickly shifts, brows furrow and veins bulge angrily. They throw a foul chemical in your face suddenly. It's going to be a fight now."
                    $ _enemy = copy.copy(mob_goblin_female_02)
                    call scene_battle_setup pass (_en = _enemy,_ambush = True) from _call_scene_battle_setup_12
                else:
                    "Goblin Chemist" "You respectfully decline the chemist's offer. They give you a disappointed frown but accept your hesitance. \"Very well. Should we cross paths again I hope you will reconsider.\" They say giving you a small bow before continuing on their way. You watch for a few moments before they vanish out of sight."
            "Attack the goblin":
                "You aren't going to be caught by this goblin's deceptions. You rush forward attacking the goblin without provocation. If it's going to be a fight, you intend to have the advantage."
                $ _enemy = copy.copy(mob_goblin_female_02)
                call scene_battle_setup pass (_en = _enemy,_pc_ambush = True) from _call_scene_battle_setup_13

        jump scene_last
