label scene_cathedral:
    label .exterior:
        $ outdoor()
        $ map_point = vergesseneburg

        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "The decrepit remains of a stone church loom ominously before you. The once gray walls are coated with moss and lush green vines. Empty arches house the shattered remnants of stained glass, now covered in poorly cut wooden planks. The tall bell tower sags precariously to one side, threatening to topple inward. The bell appears to be missing. Splintered remains of shingles and rafter beams  provide the illusion of a steeped roof."
                # Rain
                elif weather == 2:
                    $ t = "The dark silhouette of a church looms above you. The vine covered walls drip with the heavy rainfall which batters the shell of a building. Wind whistles through the building, creating a harsh ear piercing wail. The boards that cover the arched remains of stained glass windows twist and strain against the wind."
                # Storm
                else:
                    $ _t = "Dark remains of a forgotten church loom dangerously before you. The cursed gray walls, now coated in ivy and moss shutter against the storm. Rain beats against the structure and pours through the rafters that once held the vaulted roof. The hollow remains of a bell tower shake dangerously, as flashes of lightning illuminate it's empty interior."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Cathedral Exterior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Cathedral Exterior. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Cathedral Exterior. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Cathedral Exterior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Cathedral Exterior. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Cathedral Exterior. Day"
        # Night
        else:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "A dark skeleton of a church looms above you in the dark. The once gray walls are coated in ivy and moss. Large arched windows are covered with poorly cut wooden boards. Splintered remains of a vaulted roof lay scattered across the ground. The remains of wooden rafters create the illusion of a roof above. A tall empty bell tower leans dangerously, threatening to collapse upon the church itself."
                # Rain
                elif weather == 2:
                    $ _t = "The dark skeletal remains of a church loom before you. Exposed wooden rafters and splintered shingles create the silhouette of a roof. Rain pours through the exposed beams and down the ivy covered walls. Wind whistles through the broken building like a banshee's wail. The boarded windows creak against the force of the storm."
                # Storm
                else:
                    $ _t = "Lightning flashes overhead casting harsh shadows and light across the desolate remains of a stone church. Ivy coats the stone walls. Old remains of empty arched windows sit boarded up against the force of the storm. The old bell tower creaks and groans, threatening to topple inward at any moment. The wind howls through the cursed remnants like the screech of the dead."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Cathedral Exterior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Cathedral Exterior. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Cathedral Exterior. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Cathedral Exterior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Cathedral Exterior. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Cathedral Exterior. Night"

            if calendar[3] >= 0 and calendar[3] <= 1:
                $ _t = _t + " Flickering light peaks between the boarded windows. The light shifts and moves along the interior like a ghost."


        menu:
            "[_t]"
            "Enter the Church":
                jump scene_cathedral.interior
            "Leave":
                jump scene_vergesseneburg.exterior

    label .interior:
        $ indoor()
        $ map_point = vergesseneburg

        # Check for Lyra meeting Fenna/Dorzakk
        if relationship_lyra['location'] == "cathedral_interior" and relationship_dorzakk['location'] == "cathedral_interior" and not relationship_lyra['dorzakk_first_meeting']:
            jump scene_lyra.meet_dorzakk
        if relationship_lyra['location'] == "cathedral_interior" and relationship_fenna['location'] == "cathedral_interior" and not relationship_lyra['fenna_first_meeting']:
            jump scene_lyra.meet_dorzakk

        # Day
        $ _l = False
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "Light streams through the broken ceiling in bright beams that glint off the ruins of the church. Broken pews and the splintered remains of the roof litter the ground. A thick coating of grass and plant life has grown in thick knots across the battered remnants. A large bend brass bell sit half buried in the floorboards. A broken balcony lines the main hall twenty feet above the main floor, while two doors flank the empty alter at the rear of the church."
                    $ _l = True
                # Rain
                elif weather == 2:
                    $ t = "Rain pours through the large holes in the ceiling. Water drip down the rafters, falling onto a large mangled brass bell in the center of the main hall. The steady plinking of rain on metal echoes across the stone walls. The grass covers the interior floor, crawling up splintered pews and the broken remains of the roof. Thick misshapen boards creak against the whistling wind that cuts through the broken building. Two doors flank a barren alter, long forgotten and abandoned."
                # Storm
                else:
                    $ _t = "Heavy rain pours into the church, pooling across the grass infested floor. Water bludgeons a large mangled bell near the center of the main hall. The metallic plinking echoes across the stone walls, barely cutting through the violent wailing of the wind. Two doors flank an abandoned alter at the back of the hall. Lightning flashes overhead, illuminating the interior for brief moments. Long shadows are cast across the walls like ghosts, while the wind sounds like the wails of the dead. This place feels foreboding and sad in the storm."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Cathedral Interior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Cathedral Interior. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Cathedral Interior. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Cathedral Interior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Cathedral Interior. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Cathedral Interior. Day"
        # Night
        else:
            if calendar[3] >= 0 and calendar[3] <= 1:
                "As you step into the church interior you notice the light shift suddenly. The faint glow appears to enter one of the doors near an abandoned alter. It quickly fades out of few, disappearing completely, returning the church to darkness."
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Moonlight glitters through the splintered roof and dances across the grass covered floor. Thick knots of plant matter has overtaken the temple interior. Broken pews lay in wreckage among the shattered remains of the ceiling. A large mangled bell, tarnished with age lays broken in the center of the main hall. A forgotten alter sits empty at the end of the hall, bathed in moonlight. It appear sad and lonely in the blue haze. Two doors flank the alter, creaking gently in the breeze."
                # Rain
                elif weather == 2:
                    $ _t = "Rain pours down in heavy streams, dripping down the splintered rafters before pooling in the main hall. The dark clouds overhead prevent light from entering, leaving the church cast in a dark shadow. You can just barely make out the large shape of an ancient bell. Mangled and broken, it lies among the wreckage of the roof in the center of the hall. An old alter sits forgotten and empty between two doors which creak in the wind."
                # Storm
                else:
                    $ _t = "The main hall of the church is flooded with rainwater. Soaked grass creeps across every surface is thick knots. A large bell sits mangled and dented in the center of the hall. Splintered wood from rafters and pews are scattered across the hall. Lightning flashes overhead casting long shadows across the interior. Wailing wind rattles the boarded windows, creating a cacophony of noise that echoes across the stone walls. Two doors creak and groan in the wind. The doors flank an old empty alter, long forgotten and not maintained."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Cathedral Interior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Cathedral Interior. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Cathedral Interior. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Cathedral Interior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Cathedral Interior. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Cathedral Interior. Night"

        if relationship_lyra['location'] == "cathedral_interior":
            if relationship_lyra['met_lyra']:
                if relationship_lyra['helped']:
                    if relationship_lyra['temple'] < 10:
                        if relationship_dorzakk['location'] == "cathedral_interior":
                            "You see Lyra and Dorzakk working hard to clear debris from the old temple. Dorzakk moves large cobblestones and broken beams. They've already begun assembling a large pile of useless debris and some salvageable planks and stones. Meanwhile Lyra is busy clearing away some of the plant life that has begun to consume the walls and floor."
                        elif relationship_fenna['location'] == "cathedral_interior":
                            "You see Fenna and Lyra working hard clearing debris and plant matter from the choking temple interior. Fenna taking advantage of her size moves large pieces of splintered lumber. She has already established a decent pile of salvageable and scrap materials. At the same time, Lyra works with a small trowel to dig up large plants which she moves outside the temple."
                        else:
                            "You see Lyra on her knees crudely pulling away tangled weeds. She groans and pulls up several large weeds revealing broken clay shingles beneath. The wererat begins piling up the shattered pieces before moving them out to their pile of scrap and debris."
                    # Once Temple Has Been Improved
                    # ADD SCENES HERE
                else:
                    $ _t = "Lyra is carefully clearing away debris from the temple interior. She works methodically but slowly. Only able to move a few bricks or a broken beam at a time. The task seems impossible for her to accomplish alone."
            else:
                $ _t = "Standing near the forgotten alter is a wererat woman. She stands with her hands folded to her chest, staring solemnly at the broken remnants. She doesn't appear to notice you."
        else:
            if relationship_dorzakk['location'] == "cathedral_interior":
                "You can hear Dorzakk grunting as he picks up large splintered beams. Sweat pours down his arms as he works. He seems oddly at peace as he works. The labor must be giving him something to distract from his usual habit of picking at his collar."
            if relationship_fenna['location'] == "cathedral_interior":
                "Fenna works quietly, in a slightly melancholic way. Mechanically picking up large pieces of splintered wood and broken stone. Moving it to a pile outside. Then repeat. She works alone and without complaint. She takes a break for only a rare moment to grab a drink of water before continuing."


        menu:
            "[_t]"
            "Enter the Catacombs":
                "The door creaks terribly, barely hanging on it's hinges. Inside is a small room with no windows or decoration. A small trap door lies open, with a ladder that you descend cautiously. At the bottom of the twenty food decent you find a stone crypt."
                jump scene_catacombs.entrance
            "Talk to wererat" if _l and not relationship_lyra['met_lyra']:
                jump scene_lyra.introduction
            "Talk to Lyra" if _l and relationship_lyra['met_lyra']:
                jump scene_lyra.talk
            "Talk to Fenna" if relationship_fenna['location'] == "cathedral_interior":
                jump scene_fenna.approach
            "Talk to Dorzakk" if relationship_dorzakk['location'] == "cathedral_interior":
                jump scene_dorzakk.approach
            "Leave":
                jump scene_cathedral.exterior

label scene_catacombs:
    label .entrance:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg

        "Old worn stone walls line a long hall. Sourceless orbs of light float along the arched ceiling. The magical lights fill the desolate tomb with an eerie light. Long narrow alcoves are lined with skeletons wrapped in tattered linens. A few old iron sconces line walls but the torches have all been removed. Several rats scurry into cracks in the stonework, disappearing from view. The hall branches off into a web of deeper catacombs."

        menu:
            "The place smells earthy and raw. However, something about this place feels oddly lived in. There's far less dust then you would expect from such a place and the floors appear to have been swept recently. You feel an unnerving chill run through you as though you are being watched but see no further signs of life."
            "Odd door":
                jump scene_catacombs.old_door
            "Explore deep crypt":
                jump scene_catacombs.deep_crypt
            "Old tomb":
                jump scene_catacombs.old_tomb
            "Crawler's Lab" if relationship_crawler["met_crawler"]:
                jump scene_catacombs.crawlers_lab
            "Return to the temple":
                jump scene_cathedral.interior

    label .old_door:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg

        menu:
            "Inset along the wall of one of the many winding corridors is a large arched doorway. A tall black door without a handle firmly blocks the archway. The door is engraved with images of nude devils and angels all entwined together. The figures all twist together in a wild orgy. Faded paint chips away from the banded door. Gold filigree lines the outer rim of the door, weaving around dirty inset gems. The entire work is beautiful if a little strange and unsettling."
            "Explore deep crypt":
                jump scene_catacombs.deep_crypt
            "Catacomb entrance":
                jump scene_catacombs.entrance

    label .old_tomb:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg

        menu:
            "Beyond a narrow hall is a small quiet room. The domed ceiling is painted with a faded fresco depicting fat imps looking down upon the room. A stone sarcophagus sits alone in the center of the room. Beautiful carvings and gold filigree line the lid. Strange letters are carved into the side of the coffin, though they don't appear to be of a language to recognize. The room feels mysterious and intriguing drawing you in closer."
            "Catacomb entrance":
                jump scene_catacombs.entrance

    label .deep_crypt:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg

        menu:
            "Winding deep into the maze of catacombs you find many arched corridors and narrow passages. Cracked stone walls are lined with small alcoves containing ancient wooden coffins and linen wrapped bones. You stand at a large intersection of corridors, tall pillars support a vaulted ceiling. Small stone gargoyles watch from above, protecting the ancient resting ground. Magical lights linger throughout the chambers, casting eerie shadows across the walls."
            "Explore" if not relationship_crawler['met_crawler']:
                # if relationship_crawler('met_crawler'):
                #    pass
                    ## Add encounters here
                # else:
                    jump scene_crawler.intro_1
            "Catacomb entrance":
                jump scene_catacombs.entrance

    label .crawlers_lab:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg

        "This large chamber has been furnished with cracked bookshelves and desks made of old wood. The stone floor is heavily obscured by books, scattered paper and scrolls. A desk has been pressed against one of the stone walls. Beakers and twisted alembics filled with strange liquids cover the desk. Small burns flicker under flasks, heating the liquids inside. The room smells of inks, musty papers and foreign chemicals."
        "A narrow hallway branches off from this room, leading to a smaller stone room. A narrow wardrobe with a twisted frame sits along one corner, doors slightly ajar. A crooked bed and plush mattress are pressed one wall. You see a small painting of a vibrant landscape above the bed, it stands out in stark contrast to the grays and dirty browns of the rest of the room."
        jump scene_catacombs.crawlers_lab_2

    label .crawlers_lab_2:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg

        menu:
            "Crawler hovers about the room. His skeletal hands dancing between adjusting alchemical equipment and scrawling notes and long rolls of parchment. He seems to be in a constant state of inspiration as he works jumping between countless tasks and projects. He gives you a cheery hello to acknowledge your presence before continuing about his work."
            "Search the Lab":
                if relationship_crawler['alchemy_book']:
                    $ _i = renpy.random.randint(2,4)
                else:
                    $ _i = renpy.random.randint(1,4)
                if _i == 1:
                    jump scene_catacombs.alchemy_books
                elif _i == 2:
                    jump scene_catacombs.erotic_books
                elif _i == 3:
                    jump scene_catacombs.fan_insert
                else:
                    jump scene_catacombs.original_books
            "Talk to Crawler":
                jump scene_crawler.talk
            "Return to the Catacombs":
                jump scene_catacombs.entrance

    label .alchemy_books:
        if pc.acumen < 50:
            "Taking a look around the lab you can barely decide where to start. Selecting a pile of books at random you find the tomes contain various alchemical formula. You begin to flip through the pages carefully scanning them for useful information. You're assaulted by complex diagrams and terminology that all go over your head. Unfortunately this book is far to complex for you and you're forced to return it to the pile with nothing to show for it."
        else:
            "Taking a look around the lab you can barely decide where to start. Selecting a pile of books at random you find a tome that contains a collection of alchemical formula. Flipping through the pages carefully you begin to learn a few things about local materials. The read is dense and complex but fills you with a remarkable sense of satisfaction."
            "After a few hours of study you feel you've learned enough to construct some simple alchemical formulas on the fly. They may help you if you get into any conflicts in the future."
            $ add_time(3,0)
            $ addToInventory(inventory,book_lob_potion,1)
            $ relationship_crawler['alchemy_book'] = True
        jump scene_catacombs.crawlers_lab_2

    label .erotic_books:
        $ _i = renpy.random.randint(1,3)
        if _i == 1:
            "Scanning the lab you see a pile of thin books with brightly colored spines. You reach for a particular worn volume. The spin is bent heavily and the color faded along the seams. Flipping through the first few pages you feel heat rush to your cheeks. Gratuitous descriptions of passionate sex and erotica cover the pages."
            "You notice a few technical notes have been scrawled in the margins commenting on sensations during these scenes.The story itself seems to be about an unlucky merchant who needs to cross the Iron Sea. They have been recently robbed by highwaymen and so they strike a deal with a lonely ship captain. You find yourself getting a little lost in the story and waste far more time then you should have reading it."
        elif _i == 2:
            "Scanning the lab you see a pile of thin books with brightly colored spines. You reach for the largest volume in the pile finding the pages bent and worn. Flipping through the book you find this to be another volume in a collection of erotica adventures. The stories follow an unlucky merchant who has a habit of losing their clothes on way or another. This particular story follows the merchant after they are captured by a band of orcs."
            "The story quickly devolves to the merchant eagerly servicing the band before making their escape. A few notes have been scrawled in the margins commenting on language used and pacing."
        else:
            "You find a particularly worn book among a pile of strangely colored tomes. Picking up the book you begin to flip through the pages finding it contains a rather passionate love story. The story seems to be the first in a series of adventures following a merchant who falls in love with a noble. They strike out to earn their fortune and their loves hand in marriage. The story is quite romantic and ends in a rather passionate erotic scene that makes your face flush."

        $ add_time(0,30)
        $ pc.addLibido(8)

        jump scene_catacombs.crawlers_lab_2

    label .fan_insert:
        "Searching through a few nearby books you find a set of books that seem to have been torn apart and rebound. They strike you as odd and stand out quite strongly against the other books. Picking up a volume carefully you find that the pages are filled with print and had written pages. Curiously you begin reading and find yourself blushing and chuckling at the bizarre narrative."
        "It appears to have been an erotic novel but Crawler has cut out large portions of the book. He then replaced the missing pages with his own writing, inserting his own character. Sir Charles Lawre, who is described as “A radiant being shrouded in mystery. His cold exterior betrays a lingering sense of longing, desire and passion.” Based upon the remnants of the original story it's no surprise that Crawler inserted his own narrative."
        "It seemed fairly boring without his additions, which though cheesy and overly lewd are if nothing else, entertaining. As you chuckle to yourself, which alerts Crawler of what you have in your hands. His skull contorts in an unnatural way and he quickly snatches the book away from you. He doesn't seem angry, in fact, if he had flesh you imagine he'd be blushing. He awkwardly tucks the book into his robes before returning to his work."
        crawler "\"No need to waste your time with such poor writing.\" He mutters quietly as he works. Judging from his tone he seems to be talking about his own additions rather then the original. As he reaches for a beaker the book drops from his robes to the floor, mixing with the other volumes again."
        menu:
            "Apologize for prying":
                crawler "\"It's quite alright. Just something from my youth.\" He stammers, clearly flustered and lying. You decide it best to drop the topic, not wishing to push him any further."
            "I quite liked Sir Charles ({b}romantic{/b})":
                player "You step up behind Crawler, placing a hand gently on his shoulder. \"I thought Sir Charles was quite charming. Do you think the author was writing from experience?\" You whisper next to his skull."
                menu:
                    crawler "He stumbles away, turning to face you. His skull contorting to a look of complete mystification. \"G-goodness. Sultry stare, a whispered word, physical contact! Are you attempting to court me?\""
                    "Uh... no...":
                        player "\"Uh... no. I just like the story. I thought the changes were very good and you shouldn't be so hard on yourself.\""
                        crawler "\"Oh. Well, thank you very much.\" He says clearly embarrassed. He quickly turns away from you and begins pretending to work on some chemical compound. You decide to drop the topic not wishing to push this embarrassing situation any further."
                    "Well yes...":
                        player "\"I was, though I had hoped to be more subtle.\" You admit somewhat disappointed, placing a hand on your hip."
                        crawler "\"How bone headed of me.\" He says slapping his forehead shamefully. \"Please try again.\" He says quickly turning away from you."
                        player "It feels awkward and forced but you shrug and step up behind Crawler. \"I liked Sir Charles, I imagine he was written from experience.\" You say attempting to recall your exact words."
                        crawler "He sighs, shoulders sagging. \"No, no it's not that same. I'm terribly sorry. I completely boned this, or didn't.\" He seems very disappointed. \"I'll be sure to study your mating rituals more closely in the future.\" He places a skeletal finger on his chin and seems to lose himself in contemplation."
                        "You give him a couple of firm pats on the back in consolation and leave him to his thought. The skeleton quickly gathers a pen and ink and begins scrawling several notes involving mating rituals, contacts and how to appropriately respond to them."
                        $ relationship_crawler['score'] += 1
        jump scene_catacombs.crawlers_lab_2

    label .original_books:
        "Following a trail of scroll paper you find a few loose scraps of paper held together with a few pieces of twine. Reading through the first few pages you find it to be the beginnings of an original story. The title reads \"A Coccyx and Bull Story by C. R. Lawre\" it seems to be about a minotaur who meets a skeleton 'neck romancer' and falls in love. The story is filled with screwball comedy and gratuitous puns. It's a charming read but seems unfinished, ending just as the action begins to pick up."

        jump scene_catacombs.crawlers_lab_2
