﻿init python:
    offset = 50
    import math
    # class dmg_type:
    #     physical = 0
    #     lust = 1
    #     magic = 2
    #     fire = 3
    #     radiant = 4
    #     poison = 5
    #     cold = 6
    #     lightning = 7
    #     weapon = 8
    #     humor = 9
    #     crude = 10
    #     lewd = 11
    #     passion = 12
    #     calm = 13
    #     intimidation = 14

    # rollAttack returns a list of die faces and surges
    def calculateDamage(_base_attack,_att_stat,_def_stat,_type = 1.0,_crit = 1.0,_weather = 1.0,_other = 1.0):
        return math.floor(((float(_base_attack) * (float(_att_stat)/float(_def_stat))) + 1.0) * (renpy.random.uniform(0.75,1.0) * _type * _crit * _weather * _other))

    class Skill:
        def __init__(self,img,name,description,funct,stam,initiative,type,star,acc = 0,dmg = 0):
            self.img = img
            self.name = name
            self.description = description
            self.funct = funct  # The function to trigger when the skill is used
            self.stam = stam    # How much Stamina the skill requires
            self.initiative = initiative # How fast the move is on a scale of 1 - 100. Higher being faster
            self.type = type    # Type is a string containing the type of attack. Used to determine physical, lust, both, special, buff, debuff
            self.acc = acc      # The accuracy out of 100. A 0 automatically hits
            self.star = star
            self.dmg = dmg

        def skill_priority(self,user,target):
            global weather
            global calendar
            # Skill Priority checks the current state of the user and target and provides a priority for the use of that skill
            # Skill priority is a value between 0 and 10
            # Set Strike Priority
            _check_condition = False
            if isinstance(user,Hostile):
                _check_condition = True

            # STRIKE --------------------------------------------------------------------------------------------
            if self.name == "Strike":
                if _check_condition:
                    if user.condition == "Bold":
                        return 4
                    elif user.condition == "Angry":
                        return 5
                    else:
                        return 3
                else:
                    return 3
            # FLIRT ---------------------------------------------------------------------------------------------
            elif self.name == "Flirt":
                # If collared
                if user.equipment['Acc'] != None and user.equipment['Acc'].id_key == item_magic_collar.id_key:
                    return renpy.random.choice([0,0,0,1])
                else:
                    _bonus = 0
                    if user.libido > user.max_libido/2:
                        _bonus = 1
                    if _check_condition:
                        if user.condition == "Aroused" or user.condition == "Submissive":
                            return 2 + _bonus
                    return 1 + _bonus
            # POISON SPRAY --------------------------------------------------------------------------------------------
            elif self.name == "Poison Spray":
                if _check_condition:
                    if user.condition == "Bold":
                        return 4
                    elif user.condition == "Angry":
                        return 5
                    else:
                        return 3
                else:
                    return 3
            # SIREN SONG ----------------------------------------------------------------------------------------
            elif self.name == "Siren Song":
                if target.buff["Charmed"][0]:
                    return 0
                else:
                    return 5
            # BITE ----------------------------------------------------------------------------------------
            elif self.name == "Bite":
                if user.hp < user.max_hp/4:
                    return 7
                elif user.hp < user.max_hp/2:
                    return 5
                else:
                    return 3
            # SMASH ---------------------------------------------------------------------------------------------
            elif self.name == "Smash":
                if _check_condition:
                    if user.condition == "Bold":
                        return 4
                    elif user.condition == "Angry":
                        return 5
                    else:
                        return 3
                else:
                    return 3
            # INFERNO -------------------------------------------------------------------------------------------
            elif self.name == "Inferno":
                if weather == 1:
                    return 5
                else:
                    return 2
            # SWEET KISS ----------------------------------------------------------------------------------------
            elif self.name == "Sweet Kiss":
                if _check_condition:
                    if user.condition == "Bold":
                        return 4
                    elif user.condition == "Angry":
                        return 5
                    else:
                        return 3
                else:
                    return 3
            # LOB POTION ----------------------------------------------------------------------------------------
            elif self.name == "Lob Potion":
                if _check_condition:
                    if user.condition == "Angry":
                        return 5
                    else:
                        return 4
                else:
                    return 4
            # REST ----------------------------------------------------------------------------------------------
            elif self.name == "Rest":
                if user.condition == "Melancholy":
                    return 10 - (user.max_stamina * user.stamina)
                else:
                    return 8 - (user.max_stamina * user.stamina)
            # POWER WORD KILL -----------------------------------------------------------------------------------
            elif self.name == "Power Word Kill":
                return 10
            else:
                return 0

    def use_skill(act,user,target):
        # Check is user is attempting to use a Physical skill while Charmed.
        # If they are, test charmed
        if act.type == "Physical" and user.buff["Charmed"][0]:
            if renpy.random.randint(1,100) < 51:
                return [user.profile['Name'] + " tried to fight back but was too charmed by " + target.profile['Name'],0]
        # Finds the function and triggers it
        user.stamina -= act.stam
        func = act.funct
        _a = act.acc
        _d = act.dmg
        return func(user,target,_a,_d)

    # These function are skills, they are called upon use
    # skills take the user and target as parameters

    # strike is a basic COMBAT attack that deals physical damage
    # strike is contested by SURVIVAL
    def strike(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            if user.hands['Right'] != None:
                _d = user.hands['Right'].d_type
            else:
                _d = dmg_type.weapon

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                _dmg = calculateDamage(dmg,user.get_combat()[0],target.get_survival()[1],_type = _v)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

                _wea = "fists"
                if user.hands['Right'] != None:
                    _wea = user.hands['Right'].name

                _ret = [str(user.profile["Name"]) + " strikes " + str(target.profile['Name']) + " with their " + str(_wea) + " dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    # stab is a basic SURVIVAL attack that deals physical damage
    # stab is contested by ACUMEN
    def stab(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            if user.hands['Right'] != None:
                _d = user.hands['Right'].d_type
            else:
                _d = dmg_type.weapon

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                _dmg = calculateDamage(dmg,user.get_survival()[0],target.get_acumen()[1],_type = _v)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

                _wea = "fists"
                if user.hands['Right'] != None:
                    _wea = user.hands['Right'].name

                _ret = [str(user.profile["Name"]) + " strikes " + str(target.profile['Name']) + " with their " + str(_wea) + " dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    # flirt is a basic GLAMOUR attack that deals libido damage
    # flirt is contested by COMBAT
    def flirt(user,target,acc,dmg):
        # Roll libido damage
        _dmg = 0
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            if user.hands['Right'] != None:
                _d = user.hands['Right'].l_type
            else:
                _d = dmg_type.passion
            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.lust):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.lust):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.lust):
                    _v = 2
                else:
                    _v = 1

                _dmg = math.floor(calculateDamage(dmg,user.get_glamour()[0],target.get_combat()[1],_type = _v))

                if _dmg > 0:
                    target.addLibido(_dmg)
                else:
                    _dmg = 0

                # Increase user libido
                user.addLibido(int(_dmg/8))

                _ret = [str(user.profile["Name"]) + " winked seductively at " + str(target.profile['Name']) + ". " + str(target.profile['Name']) + "'s libido increased by " + str(_dmg) + ".",0]
        else:
            _ret = [str(user.profile["Name"]) + " attempted to flirt but failed.",0]

        return _ret

    # flirt is a basic ACUMEN attack that deals libido damage
    # flirt is contested by GLAMOUR
    def dark_whisper(user,target,acc,dmg):
        # Roll libido damage
        _dmg = 0
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            if user.hands['Right'] != None:
                _d = user.hands['Right'].l_type
            else:
                _d = dmg_type.intimidation
            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.lust):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.lust):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.lust):
                    _v = 2
                else:
                    _v = 1

                _dmg = math.floor(calculateDamage(dmg,user.get_acumen()[0],target.get_glamour()[1],_type = _v))

                if _dmg > 0:
                    target.addLibido(_dmg * -1)
                else:
                    _dmg = 1
                    target.addLibido(_dmg * -1)

                # Increase user libido
                user.addLibido(grayDice.roll()[0])

                _ret = [str(user.profile["Name"]) + " whispers darkly into the ear of " + str(target.profile['Name']) + ". " + str(target.profile['Name']) + "'s libido decreased by " + str(_dmg) + ".",0]
        else:
            _ret = [str(user.profile["Name"]) + " attempted to flirt but failed.",0]

        return _ret

    # gore is a heavy COMBAT attack that deals recoil damage to the user
    # gore is contested by SURVIVAL
    def gore(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            _d = dmg_type.weapon

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                _dmg = calculateDamage(dmg,user.get_combat()[0],target.get_survival()[1],_type = _v)
                _rec = int(_dmg/4)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                    user.addHP(_rec * -1)
                else:
                    _dmg = 1
                    _rec = 1
                    target.addHP(-1)
                    user.addHP(-1)

                _ret = [str(user.profile["Name"]) + " smashes into " + str(target.profile['Name']) + " with full force, dealing " + str(_dmg) + " damage. " + str(user.profile["Name"]) + " takes " + str(_rec) + " recoil damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    ## CUTE CHARM NEEDS TO BE WRITTEN
    # cute charm is a calming attack that can remove rage it also increases lust
    def cute_charm(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            # Check for damage immunity
            if target.is_immune(dmg_type.calm) or target.is_immune(dmg_type.lust):
                _ret = [str(user.profile["Name"]) + " looks at " + str(target.profile['Name']) + " cutely but it has no effect.",0]
            else:
                if target.is_resist(dmg_type.calm) or target.is_resist(dmg_type.lust):
                    _v = 0.5
                elif target.is_vulnerable(dmg_type.calm) or target.is_vulnerable(dmg_type.lust):
                    _v = 2
                else:
                    _v = 1

                _dmg = calculateDamage(dmg,user.get_glamour()[0],target.get_combat()[1],_type = _v)
                _b = target.removeBuff("Rage")

                if _dmg > 0:
                    target.addLibido(_dmg)
                else:
                    _dmg = 1
                    target.addHP(1)

                _ret = [str(user.profile["Name"]) + " looks at " + str(target.profile['Name']) + " cutely, increasing the libido " + str(_dmg) + " damage.",_dmg]
                if _b:
                    _ret += " " + str(target.profile['Name']) + " was calmed by the sweet look."
        else:
            _ret = [str(user.profile["Name"]) + " failed to charm " + str(target.profile['Name']) + ".",0]

        return _ret

    def rest(user,target,acc,dmg):
        _dmg = purpleDice.roll()[0]
        user.stamina += _dmg
        if user.stamina > user.max_stamina:
            user.stamina = user.max_stamina

        _ret = [str(user.profile["Name"]) + " rested for a moment, recovering " + str(_dmg) + " stamina.",0]

        return _ret

    def struggle(user,target,acc,dmg):
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            # Check for damage immunity
            if target.is_immune(dmg_type.physical):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                _dmg = calculateDamage(dmg,user.get_combat()[0],target.get_combat()[1],_type = _v)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

            _recoil = _dmg * 0.5
            user.addHP(_recoil*-1)

            _ret = [str(user.profile["Name"]) + " struggled desperately dealing " + str(_dmg) + " to " + str(target.profile["Name"]) + " and took " + str(_recoil) + " of damage as recoil.",_dmg]
        else:
            _recoil = renpy.random.randint(5,10)
            user.addHP(_recoil*-1)
            _ret = [str(user.profile["Name"]) + " struggled desperately but missed." + str(user.profile["Name"]) + " took " + str(_recoil) + " damage from recoil.",0]

        return _ret

    ## NEEDS REWRITE
    def pierce(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            _p = False
            if user.hands['Right'] != None:
                _d = user.hands['Right'].d_type
                if user.hands['Right'].pierce:
                    _p = True
            else:
                _d = dmg_type.weapon

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                if _p:
                    _dmg = calculateDamage(dmg,user.get_survival()[0],math.floor(target.get_survival()[1]/2),_type = _v)
                else:
                    _dmg = calculateDamage(dmg,user.get_survival()[0],target.get_survival()[1],_type = _v)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

                _wea = "fists"
                if user.hands['Right'] != None:
                    _wea = user.hands['Right'].name
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " with their " + str(_wea) + " dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    ## NEEDS REWRITE
    def flurry(user,target,acc,dmg):
        # Check to hit
        _i = 0
        _hit = 0
        while _i < 5:
            if renpy.random.randint(1,100) <= acc - (_hit * 5):
                _hit += 1
            else:
                _i = 5
            _i += 1

        if _i > 0:
            _d = dmg_type.weapon

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                _dmg = 0
                while _i > 0:
                    _dmg += calculateDamage(dmg,user.get_combat()[0],math.floor(target.get_combat()[1]/2),_type = _v)
                    _i -= 1

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

                _wea = "fists"
                if user.hands['Right'] != None:
                    _wea = user.hands['Right'].name
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " with their " + str(_wea) + " dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret


    def siren_song(user,target,acc,dmg):
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            if target.buff["Charmed"][0]:
                _ret = [user.profile["Name"] + " sang beautifully but " + target.profile["Name"] + " was already charmed.",0]
            else:
                target.addBuff("Charmed",1+renpy.random.randint(1,4),False)
                _ret = [user.profile["Name"] + " sang a hauntingly beautiful song placing " + target.profile["Name"] + " under their spell. " + target.profile["Name"] +  " is charmed.",0]
        else:
            _ret = [user.profile["Name"] + " sang beautifully but fell on deaf ears.",0]

        return _ret

    # frostbolt deals cold damage
    # frostbolt returns the total damage dealt
    def frostbolt(user,target,acc,dmg):
        global calendar
        global weather
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            _d = dmg_type.cold

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(target.profile['Name']) + " was struck with ice but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                # Calculate Weather Bonus
                # 10% bonus during snow
                # 25% bonus during snow storms
                # During winter
                _w = 1.0
                if calendar[1] == 4:
                    if weather == 2:
                        _w = 1.1
                    elif weather == 3:
                        _w = 1.25

                _dmg = calculateDamage(dmg,user.get_combat()[0],target.get_survival()[1],_weather = _w,_type = _v,_other = 1.0)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

                _wea = "fists"
                if user.hands['Right'] != None:
                    _wea = user.hands['Right'].name
                _ret = [str(user.combat) + " __ " + str(user.get_combat()[0]) + " vs " + str(target.survival) + " ___ " + str(target.get_survival()[1]) + " cold damage " + str(_dmg)]
                # _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " with their " + str(_wea) + " dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    # bite deals physical damage
    # bite restores the users hit points by half of the damage dealt
    # bit uses 1 stamina
    def bite(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            _d = dmg_type.weapon

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(target.profile['Name']) + " was bitten but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                _dmg = calculateDamage(dmg,user.get_combat()[0],target.get_combat()[1])

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                    user.addHP(_dmg/2)
                else:
                    _dmg = 1
                    target.addHP(-1)
                    user.addHP(1)

                _ret = [str(user.combat) + " __ " + str(user.get_combat()[0]) + " vs " + str(target.combat) + " ___ " + str(target.get_combat()[1]) + " damage " + str(_dmg) + ". Healed " + str(_dmg/2)]
                # _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " with their " + str(_wea) + " dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    # Smash deals physical damage
    # Smash is a basic combat skill
    def smash(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            if user.hands['Right'] != None:
                _d = user.hands['Right'].d_type
            else:
                _d = dmg_type.weapon

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                _dmg = calculateDamage(dmg,user.get_combat()[0],target.get_survival()[1],_type = _v)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

                _wea = "fists"
                if user.hands['Right'] != None:
                    _wea = user.hands['Right'].name
                # _ret = [str(user.combat) + " __ " + str(user.get_combat()[0]) + " vs " + str(target.combat) + " ___ " + str(target.get_combat()[1]) + " damage " + str(_dmg)]
                _ret = [str(user.profile["Name"]) + " smashes " + str(target.profile['Name']) + " with their " + str(_wea) + " dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    # frostbolt deals cold damage
    # frostbolt returns the total damage dealt
    def inferno(user,target,acc,dmg):
        global weather
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            _d = dmg_type.fire

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(target.profile['Name']) + " was engulfed with fire but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                # Calculate Weather Bonus
                # 50% penalty during rain or storms
                _w = 1.0
                if weather != 1:
                    _w = 0.5

                # Inferno removes wet
                # Wet reduces inferno by 50%
                _o = 1.0
                if target.buff['Wet'][0]:
                    _o = 0.5
                    # If wet is not permanent remove it
                    target.removeBuff('Wet')


                _dmg = calculateDamage(dmg,user.get_acumen()[0],target.get_acumen()[1],_weather = _w,_type = _v,_other = _o)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

                _wea = "fists"
                if user.hands['Right'] != None:
                    _wea = user.hands['Right'].name
                _ret = [str(user.acumen) + " __ " + str(user.get_acumen()[0]) + " vs " + str(target.acumen) + " ___ " + str(target.get_acumen()[1]) + " fire damage " + str(_dmg)]
                # _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " with their " + str(_wea) + " dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    # Sweet Kiss deals libido and hp damage
    def sweet_kiss(user,target,acc,dmg):
        # Roll libido damage
        _dmg = 0
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            _d = dmg_type.lewd
            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.lust):
                _ret = [str(user.profile["Name"]) + " kissed " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.lust):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.lust):
                    _v = 2
                else:
                    _v = 1

                _lib = math.floor(calculateDamage(dmg,user.get_glamour()[0],target.get_combat()[1],_type = _v))

                if _lib > 0:
                    target.addLibido(_lib)
                else:
                    _lib = 0

                if target.is_immune(dmg_type.physical):
                    _dmg = 0
                else:
                    _dmg = math.floor(calculateDamage(int(dmg/2),user.get_glamour()[0],target.get_survival()[1],_type = _v))

                    if _dmg > 0:
                        target.addHP(_dmg*-1)
                    else:
                        _dmg = 0

                _ret = [str(user.profile["Name"]) + " kissed " + str(target.profile['Name']) + ". " + str(target.profile['Name']) + "'s libido increased by " + str(_lib) + ". "
                + str(target.profile['Name']) + " took " + str(_dmg) + " damage.",0]
        else:
            _ret = [str(user.profile["Name"]) + " attempted a kiss but failed.",0]

        return _ret

    def poison_spray(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            _d = dmg_type.poison

            # Check for damage immunity
            if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                _ret = [str(user.profile["Name"]) + " attempted to poison " + str(target.profile['Name']) + " but it had no effect.",0]
            else:
                if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                    _v = 0.5
                elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                    _v = 2
                else:
                    _v = 1

                _dmg = calculateDamage(dmg,user.get_acumen()[0],target.get_glamour()[1],_type = _v)

                if _dmg > 0:
                    target.addHP(_dmg * -1)
                else:
                    _dmg = 1
                    target.addHP(-1)

                if user.hands['Right'] != None:
                    _wea = user.hands['Right'].name

                _ret = [str(user.profile["Name"]) + " flung poison at " + str(target.profile['Name']) + " dealing " + str(_dmg) + " poison damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " dealing no damage.",0]

        return _ret

    # Lob Potion inflicts a random status effect or deals lust or physical damage at random
    def lob_potion(user,target,acc,dmg):
        # Check to hit
        if renpy.random.randint(1,100) <= acc:
            _hit = True
        else:
            _hit = False

        if _hit:
            _i = renpy.random.randint(1,4)
            # Deal Poison Damage
            if _i == 1:
                _d = dmg_type.poison
            # Inflict Cold Damage
            elif _i == 2:
                _d = dmg_type.cold
            # Inflict Wet Condition
            elif _i == 3:
                target.addBuff("Wet",3,False)
                _ret = [str(user.profile["Name"]) + " lobbed a vial of blue fluid at " + str(target.profile['Name']) + ". They look cold as they become Wet.",0]
                _hit = False
            # Inflict Poisoned Condition
            else:
                target.addBuff("Poison",3,False)
                _ret = [str(user.profile["Name"]) + " lobbed a vial of green fluid at " + str(target.profile['Name']) + ". They look sick as they become Poisoned.",0]
                _hit = False

            # Check for damage immunity
            if _hit:
                if target.is_immune(_d) or target.is_immune(dmg_type.physical):
                    _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + "with a potion but it had no effect.",0]
                else:
                    if target.is_resist(_d) or target.is_resist(dmg_type.physical):
                        _v = 0.5
                    elif target.is_vulnerable(_d) or target.is_vulnerable(dmg_type.physical):
                        _v = 2
                    else:
                        _v = 1

                    _dmg = calculateDamage(15,user.get_survival()[0],target.get_acumen()[1],_type = _v)

                    if _dmg > 0:
                        target.addHP(_dmg * -1)
                    else:
                        _dmg = 1
                        target.addHP(-1)

                    if user.hands['Right'] != None:
                        _wea = user.hands['Right'].name
                    _ret = [str(user.profile["Name"]) + " struck " + str(target.profile['Name']) + " with a vial dealing " + str(_dmg) + " damage.",_dmg]
        else:
            _ret = [str(user.profile["Name"]) + " missed " + str(target.profile['Name']) + " causing no effect.",0]

        return _ret

    # Power Word Skills used for narrative purposes
    def pw_kill(user,target,acc,dmg):
        target.addHP(target.max_hp * -2)
        _ret = [str(user.profile["Name"]) + " completely overwhelms " + str(target.profile['Name']) + " with vicious assault.",99]

        return _ret

    def submit(user,target,acc,dmg):
        global mob_submit
        mob_submit = True

    def flee(user,target,acc,dmg):
        global flee_succeed,mob_flee,pc

        _ret = ["",0]
        if user == pc:
            _i = 4 + (target.level - user.level)
            if _i > 6:
                _i = 6
            elif _i < 2:
                _i = 2

            if renpy.random.randint(1,6) >= _i:
                flee_succeed = True
                _ret = ["You flee from " + target.profile["Name"],0]
            else:
                flee_succeed = False
                _ret = ["You fail to flee from " + target.profile["Name"],0]
        else:
            _i = 4 + (target.level - user.level)
            if _i > 6:
                _i = 6
            elif _i < 2:
                _i = 2

            if renpy.random.randint(1,6) >= _i:
                mob_flee = True
                _ret = [target.profile["Name"] + " flees from you.",0]
            else:
                mob_flee = False
                _ret = [target.profile["Name"] + " fails to flee.",0]

        return _ret

    def can_player_use_skill(_sk):
        # Bite requires the player to have fangs or tusks
        if _sk == skill_bite:
            if pc_appearance['Tusks'] or pc_appearance['Fangs']:
                return True
            else:
                return False
        elif _sk == skill_gore:
            if pc_appearance['Tusks'] or pc_appearance['Horns'] != "None":
                return True
            else:
                return False
        else:
            return True
